# Operator defaults
allow_rwx_storage: True
cluster_domain: cluster.local
execution_affinity_required: True
opsperator_images_registry: False
pull_policy: IfNotPresent
root_domain: demo.local
scheduling_affinity_required: True
timezone: Europe/Paris

do_affinities: True
do_backups: False
do_debugs: False
do_exporters: False
do_hpa: False
do_network_policy: False
do_pdb: False
do_triggers: False

# ARA
ara_playbook_labels:
- Ci
- ReleaseBell
- Opsperator
ara_playbook_name: ReleaseBell

# Kubernetes Backups Defaults
backups_daily_start_hour: 15
backups_hourly_start_minute: 15
backups_interval: daily
backups_weekly_start_day: 2

# OpenShift DeploymentConfigs
deploy_pod_cpu_limit: 50m
deploy_pod_cpu_request: 50m
deploy_pod_memory_limit: 512Mi
deploy_pod_memory_request: 128Mi
deploy_revision_history_limit: 3

# Kubernetes
k8s_affinity_zone_label: kubernetes.io/hostname
k8s_namespace_nodes_selectors:
- kubernetes.io/os=linux
k8s_resource_nodes_selectors: []
tls_provider: internalca

# Percona
percona_tag: 5.7.36-31.55-1

# Prometheus Exporters
exporter_cpu_limit: 100m
exporter_cpu_request: 50m
exporter_memory_limit: 128Mi
exporter_memory_request: 64Mi
mysqlexporter_tag: 0.13.0
prometheus_match: scrape-me
prometheus_namespace_match: prometheus-monitoring
prometheus_service_label: k8s-app

# ReleaseBell
releasebell_cpu_limit: 100m
releasebell_cpu_request: 10m
releasebell_db_cpu_limit: 100m
releasebell_db_data_capacity: 8Gi
releasebell_db_memory_limit: 256Mi
releasebell_db_type: mariadb
releasebell_image_source: https://gitlab.com/synacksynack/opsperator/s2i-releasebell
releasebell_ldap_user_objectclass: inetOrgPerson
releasebell_memory_limit: 368Mi
releasebell_memory_request: 128Mi
releasebell_replicas: 1
releasebell_tag: 1.7.1-20220213

# NetworkPolicies
default_namespace_match: default
network_policy_deployment_label: name
network_policy_namespace_label: netpol

# NodeJS Image
nodejs_tag: 20220213
nodejs_version: 16
